Can i enroll in the new big data hackathon from sapient?

big_data

#1

hello,
i am actually a bit curious about the fact that can i enroll in the new hackathon, bid data from sapient that is actually a hiring hackathon , because i am just a secondary school student (currently in 10th) . …i really do want to participate…so is there some kind of age or knowledge restriction???


#2

Hi @prer1t,

You certainly can participate in the hackathon and make submissions but it will not be considered for hiring.


#3

thannk you aishwarya singh

by the way, i know some might consider this off topic and off spirit , but as it goes…it is worth asking that will i be considered a valid participant i make it to the ranks(honestly i cant , but still pondering)


#4

by the way aishwarya, the real reason of making a post in the discussion , is…
i am in the statistics session in the python for basic data science course . so, to practice the things on jupyter i made a csv file named ( xyz.csv) so, i was trying to find the mode…every thing went well…mode was the favourite subject . but when it came to mean , i chose the marks column (that is the only one with continuous numeric data . so i entered the formula corectly…every thing was correct. but it is showing some error regarding the marks column specificaly…even in the mode one also, every other column is responsive except the ‘marks’ column…it shows some long and a rather confusing error …the error it shows is:

**KeyError                                  Traceback (most recent call last)
c:\users\abc\appdata\local\programs\python\python35-32\lib\site-packages\pandas\core\indexes\base.py in get_loc(self, key, method, tolerance)
   3063             try:
-> 3064                 return self._engine.get_loc(key)
   3065             except KeyError:

pandas\_libs\index.pyx in pandas._libs.index.IndexEngine.get_loc()

pandas\_libs\index.pyx in pandas._libs.index.IndexEngine.get_loc()

pandas\_libs\hashtable_class_helper.pxi in pandas._libs.hashtable.PyObjectHashTable.get_item()

pandas\_libs\hashtable_class_helper.pxi in pandas._libs.hashtable.PyObjectHashTable.get_item()

KeyError: 'marks'

During handling of the above exception, another exception occurred:

KeyError                                  Traceback (most recent call last)
<ipython-input-41-166757f10c49> in <module>()
----> 1 df["marks"]

c:\users\abc\appdata\local\programs\python\python35-32\lib\site-packages\pandas\core\frame.py in __getitem__(self, key)
   2686             return self._getitem_multilevel(key)
   2687         else:
-> 2688             return self._getitem_column(key)
   2689 
   2690     def _getitem_column(self, key):

c:\users\abc\appdata\local\programs\python\python35-32\lib\site-packages\pandas\core\frame.py in _getitem_column(self, key)
   2693         # get column
   2694         if self.columns.is_unique:
-> 2695             return self._get_item_cache(key)
   2696 
   2697         # duplicate columns & possible reduce dimensionality

c:\users\abc\appdata\local\programs\python\python35-32\lib\site-packages\pandas\core\generic.py in _get_item_cache(self, item)
   2484         res = cache.get(item)
   2485         if res is None:
-> 2486             values = self._data.get(item)
   2487             res = self._box_item_values(item, values)
   2488             cache[item] = res

c:\users\abc\appdata\local\programs\python\python35-32\lib\site-packages\pandas\core\internals.py in get(self, item, fastpath)
   4113 
   4114             if not isna(item):
-> 4115                 loc = self.items.get_loc(item)
   4116             else:
   4117                 indexer = np.arange(len(self.items))[isna(self.items)]

c:\users\abc\appdata\local\programs\python\python35-32\lib\site-packages\pandas\core\indexes\base.py in get_loc(self, key, method, tolerance)
   3064                 return self._engine.get_loc(key)
   3065             except KeyError:
-> 3066                 return self._engine.get_loc(self._maybe_cast_indexer(key))
   3067 
   3068         indexer = self.get_indexer([key], method=method, tolerance=tolerance)

pandas\_libs\index.pyx in pandas._libs.index.IndexEngine.get_loc()

pandas\_libs\index.pyx in pandas._libs.index.IndexEngine.get_loc()

pandas\_libs\hashtable_class_helper.pxi in pandas._libs.hashtable.PyObjectHashTable.get_item()

pandas\_libs\hashtable_class_helper.pxi in pandas._libs.hashtable.PyObjectHashTable.get_item()

KeyError: 'marks'

**…thats it …

i think it is regarding pandas and the script folder…

btw…plwase can you tell me your age , because honestly i am really really confused …which salutation to use…hehe :slight_smile: :wink: :blush: XD


#5

Hi,

For marks column, use only mean (not mode).

Secondly, are you using the data provided by the AV team? or did you make changes in the data?

Also, if you have the same dataset, share the code so that we will be able to figure out why is it not working.